// Captchas
// Image Captcha
.captcha {
  // @include box-style();
  margin-bottom: 1rem;
  display: grid;
  grid-column-gap: 1rem;
  grid-template-columns: 130px auto;
  grid-template-rows: auto auto;

  > :not(img):not(.form-item-captcha-response) {
    grid-column: span 2;
  }

  >.form-item-captcha-response {
    margin-bottom: 0;

    >label {
      display: none;
    }
  }

  // Grid fallback - simple link
  .reload-captcha {
    font-size: var(--bs-font-size-sm);
    color: var(--bs-muted-dark);
    text-decoration: underline;
    display: block;
    text-align: right;
  }

  // Overlaying the image with the regenarate link will cause serious problems in none grid compatible browsers.. so check the support
  >img {
    grid-column: 1 !important;
    grid-row: 1 !important;
  }

  >.reload-captcha-wrapper {
    // simply overlay the image, to a new captcha is generated if the image is clicked
    grid-column: 1 !important;
    grid-row: 1 !important;
    height: 100%;

    .reload-captcha {
      display: block;
      text-indent: -200vw;
      color: transparent;
      height: 100%;
      width: 100%;
      position: relative;

      &::before {
        content: var(--icon-theme-refresh);
        font-family: var(--basics-frontend-iconfont-family);
        font-size: 13px;
        position: absolute;
        left: 6px;
        bottom: 3px;
        opacity: 0.5;
        color: var(--bs-body-color);
        text-indent: 0;
        text-align: center;
        line-height: 1;
      }
    }

    &:hover .reload-captcha {
      &::before {
        opacity: 1;
        transform: scale(1.1);
        background: var(--bs-white);
      }
    }
  }
}
